Bug 170139 - traceback when pressing button details
traceback when pressing button details
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: sabayon (Show other bugs)
4
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-07 13:36 EDT by Andrew
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-15 08:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew 2005-10-07 13:36:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I created four profiles in sabayon.  Only on one of them produces a traceback when I select and and press Details.

Version-Release number of selected component (if applicable):
sabayon-0.18-1

How reproducible:
Always

Steps to Reproduce:
For you:
Not yet sure.  If you want me to send you my sabayon configuration, let me know.

For me:
1. Highlight this particular profile (which I call firefox)
2. Press Details

Actual Results:  Traceback (most recent call last):
  File "/var/tmp/sabayon-0.18-1-root-machbuild/usr/lib/python2.4/site-packages/sabayon/profilesdialog.py", line 255, in __details_button_clicked  File "/var/tmp/sabayon-0.18-1-root-machbuild/usr/lib/python2.4/site-packages/sabayon/editorwindow.py", line 143, in __init__
  File "/var/tmp/sabayon-0.18-1-root-machbuild/usr/lib/python2.4/site-packages/sabayon/editorwindow.py", line 308, in __setup_treeview
  File "/var/tmp/sabayon-0.18-1-root-machbuild/usr/lib/python2.4/site-packages/sabayon/editorwindow.py", line 72, in __init__
  File "/var/tmp/sabayon-0.18-1-root-machbuild/usr/lib/python2.4/site-packages/sabayon/editorwindow.py", line 86, in reload
AttributeError: 'NoneType' object has no attribute 'get_path_description'


Expected Results:  I should be able to see the details of this profile.

Additional info:
Comment 1 Alexander Larsson 2006-08-14 09:01:54 EDT
Does this happen in the latest versions?
Comment 2 Andrew 2006-08-14 12:48:30 EDT
Sorry, it's not feasible for me to test this on the same system anymore.  (One
reason is that I've stopped using Sabayon a long time ago.)  Maybe you should
mark the issue WORKSFORME?

Note You need to log in before you can comment on or make changes to this bug.